package com.ruoyi.project.training.spec.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.spec.mapper.TStFeedbackMapper;
import com.ruoyi.project.training.spec.domain.TStFeedback;
import com.ruoyi.project.training.spec.service.ITStFeedbackService;

/**
 * 专项培训反馈Service业务层处理
 *
 * @author ruoyi
 * @date 2022-04-26
 */
@Service
public class TStFeedbackServiceImpl implements ITStFeedbackService
{
    @Autowired
    private TStFeedbackMapper tStFeedbackMapper;

    /**
     * 查询专项培训反馈
     *
     * @param planId 专项培训计划ID
     * @return 专项培训反馈
     */
    @Override
    public TStFeedback selectTStFeedbackByPlanId(Long planId) {
        return tStFeedbackMapper.selectTStFeedbackByPlanId(planId);
    }

    /**
     * 查询专项培训反馈
     *
     * @param id 专项培训反馈ID
     * @return 专项培训反馈
     */
    @Override
    public TStFeedback selectTStFeedbackById(Long id)
    {
        return tStFeedbackMapper.selectTStFeedbackById(id);
    }

    /**
     * 查询专项培训反馈列表
     *
     * @param tStFeedback 专项培训反馈
     * @return 专项培训反馈
     */
    @Override
    public List<TStFeedback> selectTStFeedbackList(TStFeedback tStFeedback)
    {
        return tStFeedbackMapper.selectTStFeedbackList(tStFeedback);
    }

    /**
     * 新增专项培训反馈
     *
     * @param tStFeedback 专项培训反馈
     * @return 结果
     */
    @Override
    public int insertTStFeedback(TStFeedback tStFeedback)
    {
        return tStFeedbackMapper.insertTStFeedback(tStFeedback);
    }

    /**
     * 修改专项培训反馈
     *
     * @param tStFeedback 专项培训反馈
     * @return 结果
     */
    @Override
    public int updateTStFeedback(TStFeedback tStFeedback)
    {
        return tStFeedbackMapper.updateTStFeedback(tStFeedback);
    }

    /**
     * 批量删除专项培训反馈
     *
     * @param ids 需要删除的专项培训反馈ID
     * @return 结果
     */
    @Override
    public int deleteTStFeedbackByIds(Long[] ids)
    {
        return tStFeedbackMapper.deleteTStFeedbackByIds(ids);
    }

    /**
     * 删除专项培训反馈信息
     *
     * @param id 专项培训反馈ID
     * @return 结果
     */
    @Override
    public int deleteTStFeedbackById(Long id)
    {
        return tStFeedbackMapper.deleteTStFeedbackById(id);
    }

    /**
     * 查询专项培训反馈
     *
     * @param tStFeedback 专项培训反馈
     * @return 专项培训反馈
     */
    @Override
    public TStFeedback selectTStFeedbackByParams(TStFeedback tStFeedback) {
        return tStFeedbackMapper.selectTStFeedbackByParams(tStFeedback);
    }

    /**
     * 查询当前用户作为受邀导师的学员列表
     */
    @Override
    public List<TStFeedback> selectInvitedSuccessorList(TStFeedback tStFeedback) {
        return tStFeedbackMapper.selectInvitedSuccessorList(tStFeedback);
    }
}
